List webhook subscriptions
curl --request GET \
--url https://api.topcalls.ai/v1/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topcalls.ai/v1/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topcalls.ai/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event": "call.completed.booked_callback",
"url": "<string>",
"filters": {},
"deleted_at": "2023-11-07T05:31:56Z",
"created_by_api_key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"status": 401,
"title": "Unauthorized",
"detail": "Invalid or missing API key"
}{
"status": 403,
"title": "Forbidden",
"detail": "Missing required scope: calls:write"
}Webhooks
List webhook subscriptions
List active webhook subscriptions for the authenticated account. Soft-deleted rows are excluded.
GET
/
v1
/
webhooks
List webhook subscriptions
⌘I